Subject: Re: [PATCH 1/3] eoie: default to not writing EOIE section

From: Jonathan Nieder <[email-masked]>
Date: Wed, 14 Nov 2018 16:19:15 -0800

Junio C Hamano wrote:
> Jonathan Nieder <[email-masked]> writes:

>>  1. Using multiple versions of Git on a single machine.  For example,
>>     some IDEs bundle a particular version of Git, which can be a
>>     different version from the system copy, or on a Mac, /usr/bin/git
>>     quickly goes out of sync with the Homebrew git in
>>     /usr/local/bin/git.
>
> Exactly this, especially the latter, is the answer to your
> question in an earlier message:
>
>>> Am I understanding correctly?  Can you give an example of when a user
>>> would *want* to see this message and what they would do in response?
>
> The user may not be even aware of using another version of Git that
> does not know how to take advantage of the version of Git you have
> used in the repository, and it can be a mistake the user may want to
> fix (e.g. by futzing with PATH).

Ah, thanks much.  I'll add a hint along those lines (e.g.

 warning: ignoring optional IEOT index extension
 hint: This is likely due to the file having been written by a newer
 hint: version of Git than is reading it.  You can upgrade Git to
 hint: take advantage of performance improvements from the updated
 hint: file format.
 hint:
 hint: You can run "git config advice.unknownIndexExtension true" to
 hint: suppress this message.

I am still vaguely uncomfortable with this since it seems analogous to
warning that the server is advertising an unrecognized capability, but
I can live with it. :)

Patch coming in a few moments.

Jonathan